> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Accept a pending template share

POST https://api.sigmacomputing.com/v2/shared_templates/accept
Content-Type: application/json

If a workbook template has been shared with your organization but not yet accepted, accept the template share.
  
  ### Usage notes
  - Retrieve pending template shares by calling the [/v2/shared_templates/shared_with_you](https://help.sigmacomputing.com/reference/list-templates-shared-with-you) endpoint and specifying `pending` as `true`.
  - Retrieve the **shareId** by calling the [/v2/shared_templates/shared_with_you](https://help.sigmacomputing.com/reference/list-templates-shared-with-you) endpoint and using the `shareId` included in the response.
  - Retrieve the **connectionId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
  - Retrieve the **inodeId** for a table by calling the [/v2/connections/{connectionId}/lookup](https://help.sigmacomputing.com/reference/lookup-connection) endpoint.

  - The key of the **sourceSwaps** object is the original id of the table, dataset, or connection in the organization that shared the template
  

Reference: https://help.sigmacomputing.com/reference/accept-template-share

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/shared_templates/accept:
    post:
      operationId: acceptTemplateShare
      summary: Accept a pending template share
      description: >-
        If a workbook template has been shared with your organization but not
        yet accepted, accept the template share.
          
          ### Usage notes
          - Retrieve pending template shares by calling the [/v2/shared_templates/shared_with_you](https://help.sigmacomputing.com/reference/list-templates-shared-with-you) endpoint and specifying `pending` as `true`.
          - Retrieve the **shareId** by calling the [/v2/shared_templates/shared_with_you](https://help.sigmacomputing.com/reference/list-templates-shared-with-you) endpoint and using the `shareId` included in the response.
          - Retrieve the **connectionId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
          - Retrieve the **inodeId** for a table by calling the [/v2/connections/{connectionId}/lookup](https://help.sigmacomputing.com/reference/lookup-connection) endpoint.

          - The key of the **sourceSwaps** object is the original id of the table, dataset, or connection in the organization that shared the template
          
      tags:
        - sharedTemplates
      parameters:
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/sharedTemplates_acceptTemplateShare_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                shareId:
                  type: string
                sourceSwaps:
                  type: object
                  additionalProperties:
                    $ref: >-
                      #/components/schemas/V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps
              required:
                - shareId
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwapsOneOf0Type:
      type: string
      enum:
        - table
      title: >-
        V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwapsOneOf0Type
    V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwapsOneOf0Type
        newInodeId:
          type: string
        columns:
          type: object
          additionalProperties:
            type: string
          description: >-
            Mapping from old column names to new column names. Leave blank to
            keep the same column names.
        metrics:
          type: object
          additionalProperties:
            type: string
          description: >-
            Mapping from old metric names to new metric names. Leave blank to
            keep the same metric names.
      required:
        - type
        - newInodeId
        - columns
        - metrics
      title: >-
        V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps0
    V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwapsOneOf1Type:
      type: string
      enum:
        - connection
      title: >-
        V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwapsOneOf1Type
    V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwapsOneOf1Type
        newConnectionId:
          type: string
        newConnectionName:
          type: string
      required:
        - type
      title: >-
        V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps1
    V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps:
      oneOf:
        - $ref: >-
            #/components/schemas/V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps0
        - $ref: >-
            #/components/schemas/V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps1
      title: >-
        V2SharedTemplatesAcceptPostRequestBodyContentApplicationJsonSchemaSourceSwaps
    sharedTemplates_acceptTemplateShare_Response_200:
      type: object
      properties: {}
      title: sharedTemplates_acceptTemplateShare_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "shareId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/shared_templates/accept"

payload = { "shareId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890" }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/shared_templates/accept';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"shareId":"a1b2c3d4-e5f6-7890-ab12-cd34ef567890"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/shared_templates/accept"

	payload := strings.NewReader("{\n  \"shareId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/shared_templates/accept")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"shareId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/shared_templates/accept")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"shareId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/shared_templates/accept', [
  'body' => '{
  "shareId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/shared_templates/accept");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"shareId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["shareId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/shared_templates/accept")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```